Superscript (<sup>) tag plugin for markdown-it markdown parser
Switch branches/tags
Nothing to show
Clone or download
Latest commit 2b34a15 Mar 12, 2015
Permalink
Failed to load latest commit information.
dist Browser files rebuild Mar 12, 2015
test Furst commit Jan 1, 2015
.eslintignore Furst commit Jan 1, 2015
.eslintrc Furst commit Jan 1, 2015
.gitignore Furst commit Jan 1, 2015
.npmignore Furst commit Jan 1, 2015
.travis.yml Furst commit Jan 1, 2015
CHANGELOG.md 1.0.0 released Mar 12, 2015
LICENSE Furst commit Jan 1, 2015
Makefile Furst commit Jan 1, 2015
README.md 1.0.0 released Mar 12, 2015
bower.json 0.1.0 released Jan 4, 2015
index.js Update plugin to work with markdown-it@4.x Mar 6, 2015
package.json 1.0.0 released Mar 12, 2015

README.md

markdown-it-sup

Build Status NPM version Coverage Status

Superscript (<sup>) tag plugin for markdown-it markdown parser.

v1.+ requires markdown-it v4.+, see changelog.

29^th^ => 29<sup>th</sup>

Markup is based on pandoc definition. But nested markup is currently not supported.

Install

node.js, browser:

npm install markdown-it-sup --save
bower install markdown-it-sup --save

Use

var md = require('markdown-it')()
            .use(require('markdown-it-sup'));

md.render('29^th^') // => '<p>29<sup>th</sup></p>'

Differences in browser. If you load script directly into the page, without package system, module will add itself globally as window.markdownitSup.

License

MIT